Name:             python-novaclient
Epoch:            1
Version:          2.13.0
Release:          1%{?dist}
Summary:          Python API and CLI for OpenStack Nova

Group:            Development/Languages
License:          ASL 2.0
URL:              http://pypi.python.org/pypi/python-novaclient
Source0:          http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
Source1:          nova.1

#
# patches_base=2.13.0+1
#

BuildArch:        noarch
BuildRequires:    python-setuptools
BuildRequires:    python2-devel

Requires:         python-argparse
Requires:         python-iso8601
Requires:         python-prettytable
Requires:         python-requests >= 0.8
Requires:         python-simplejson
Requires:         python-keyring
Requires:         python-setuptools

%description
This is a client for the OpenStack Nova API. There's a Python API (the
novaclient module), and a command-line script (nova). Each implements 100% of
the OpenStack Nova API.

%package doc
Summary:          Documentation for OpenStack Nova API Client
Group:            Documentation

BuildRequires:    python-sphinx10

%description      doc
This is a client for the OpenStack Nova API. There's a Python API (the
novaclient module), and a command-line script (nova). Each implements 100% of
the OpenStack Nova API.

This package contains auto-generated documentation.

%prep
%setup -q

# Remove bundled egg-info
rm -rf python_novaclient.egg-info
# let RPM handle deps
# TODO: Have the following handle multi line entries
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
echo "%{version}" > %{buildroot}%{python_sitelib}/novaclient/versioninfo

#mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
#install -pm 644 tools/nova.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/nova
# rhbz 888939#c7: bash-completion is not in RHEL
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install -pm 644 tools/nova.bash_completion %{buildroot}%{_sysconfdir}/profile.d/nova.sh

gzip %{SOURCE1}
install -p -D -m 644 %{SOURCE1}.gz %{buildroot}/%{_mandir}/man1/nova.1.gz

# Delete tests
rm -fr %{buildroot}%{python_sitelib}/tests

export PYTHONPATH="$( pwd ):$PYTHONPATH"
sphinx-1.0-build -b html doc/source html

# Fix hidden-file-or-dir warnings
rm -fr html/.doctrees html/.buildinfo

%files
%doc README.rst
%doc LICENSE
%{_bindir}/nova
%{python_sitelib}/novaclient
%{python_sitelib}/*.egg-info
%{_sysconfdir}/profile.d/nova.sh
%{_mandir}/man1/nova.1.gz

%files doc
%doc html

%changelog
* Thu May 09 2013 Jakub Ruzicka <jruzicka@redhat.com> 2.13.0-1
- Grizzly release.
- Update to 2.13.0.
- Update requirements.
- Update help2man generated manpage.
- versioninfo is gone from tarball, generate it.

* Tue Apr 09 2013 Jakub Ruzicka <jruzicka@redhat.com> 2.10.0-11
- Add support for network-create command. (#923918)

* Thu Mar 21 2013 Jakub Ruzicka <jruzicka@redhat.com> 2.10.0-10
- Revert broken "nova client support for nova-manage network command.".

* Wed Mar 20 2013 Jakub Ruzicka <jruzicka@redhat.com> 2.10.0-9
- Adds nova client support for nova-manage network command. (#923918)

* Tue Mar 19 2013 Jakub Ruzicka <jruzicka@redhat.com> 2.10.0-8
- Add support for the new fixed_ip quota. (#923195)

* Tue Mar 12 2013 Jakub Ruzicka <jruzicka@redhat.com> 2.10.0-7
- Decodes input and encodes output. (#888483)

* Wed Feb 20 2013 Russell Bryant <rbryant@redhat.com> 2.10.0-5
- Include man page for 'nova'. (#904350)

* Tue Feb 12 2013 Pádraig Brady <pbrady@redhat.com> 2.10.0-4
- Selective backports from "stable/folsom":
-   Adds support for injected_file_path_bytes-quota
-   Adds support for key_pairs-quota
-   Fixed nics param ignored when bdm is specified
-   add host update help info param
-   Adds support for security group rules quotas
-   Fix argument checking method for nova list-flavor
-   Fix find fo -alphanumeic flavor-id name
-   Allow specifying some arguments by name
-   add num_instances option for nova boot
-   Fix some usage messages of nova volume
-   When logging request include request data

* Mon Feb 11 2013 Alan Pevec <apevec@redhat.com> 2.10.0-3
- avoid dependecy on bash-completion

* Fri Dec 21 2012 Alan Pevec <apevec@redhat.com> 2.10.0-2
- Include bash_completion file (#872544) (Alvaro Lopez Ortega)
- Add dependency on python-iso8601 (#881515)

* Mon Dec 03 2012 Alan Pevec <apevec@redhat.com> 2.10.0-1
- Update to latest upstream release

* Thu Sep 27 2012 Pádraig Brady <P@draigBrady.com> 1:2.9.0-1
- Update to latest upstream release (aligned with Folsom)

* Wed Aug 22 2012 Pádraig Brady <P@draigBrady.com> 2012.1-2
- Add dependency on python-setuptools (#849477)

* Sun Apr 13 2012 Pádraig Brady <P@draigBrady.com> 2012.1-1
- Update to essex release
- Include LICENSE (#732695)

* Tue Aug 30 2011 Matt Domsch <mdomsch@fedoraproject.org> - 2.6.1-0.5.89bzr
- trivial changes for el6

* Wed Aug 24 2011 Mark McLoughlin <markmc@redhat.com> - 2.6.1-0.4.89bzr
- Update to latest upstream snapshot
- Don't use %%setup -n (#732694)

* Mon Aug 22 2011 Mark McLoughlin <markmc@redhat.com> - 2.6.1-0.3.83bzr
- Remove python-devel BR
- Remove the openstack-novaclient sub-package

* Fri Aug 19 2011 Mark McLoughlin <markmc@redhat.com> - 2.6.1-0.2.83bzr
- Remove argparse from egg requires.txt; no egg info for argparse available

* Wed Aug 17 2011 Mark McLoughlin <markmc@redhat.com> - 2.6.1-0.1.83bz
- Update to latest upstream

* Wed Aug 10 2011 Mark McLoughlin <markmc@redhat.com> - 2.6.1-0.1.74bzr
- Update to latest upstream

* Mon Aug  8 2011 Mark McLoughlin <markmc@redhat.com> - 2.5.1-1
- Initial package from Alexander Sakhnov <asakhnov@mirantis.com>
  with cleanups by Mark McLoughlin
